can't install Openshot

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help

can't install Openshot

Postby tellymandeus on Wed Oct 30, 2013 8:03 pm

hi all,

I want to install the video editor OpenShot. I searched in the Software manager and it didn't come up, so I followed the instructions here http://openshot.org/ppa/ but it didn't work:

Code: Select all
sudo add-apt-repository ppa:openshot.developers/ppa
You are about to add the following PPA to your system:
 This PPA contains the current stable version of OpenShot Video Editor.

If you would rather the bleeding-edge version, check out the following URL:
https://launchpad.net/~jonoomph/+archive/openshot-edge


 More info: https://launchpad.net/~openshot.developers/+archive/ppa
Press [ENTER] to continue or ctrl-c to cancel adding it

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.XKrSIKU6CK --trustdb-name /etc/apt//trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys B9BA26FA
gpg: requesting key B9BA26FA from hkp server keyserver.ubuntu.com
gpg: keyserver timed out
gpg: keyserver receive failed: keyserver error

sudo apt-get update
Get:1 http://security.ubuntu.com raring-security Release.gpg [933 B]
Get:2 http://packages.linuxmint.com olivia Release.gpg [197 B]                 
Get:3 http://packages.linuxmint.com olivia Release [17.7 kB]                   
Hit http://archive.ubuntu.com raring Release.gpg                               
Get:4 http://archive.ubuntu.com raring-updates Release.gpg [933 B]             
Hit http://ppa.launchpad.net raring Release.gpg                               
Get:5 http://security.ubuntu.com raring-security Release [40.8 kB]             
Hit http://archive.canonical.com raring Release.gpg                           
Get:6 http://archive.ubuntu.com raring Release [40.8 kB]                       
Get:7 http://packages.linuxmint.com olivia/main amd64 Packages [23.5 kB]       
Ign http://ppa.launchpad.net raring Release.gpg                               
Get:8 http://ppa.launchpad.net raring Release.gpg [316 B]                     
Get:9 http://archive.canonical.com raring Release [5,919 B]                   
Get:10 http://security.ubuntu.com raring-security/main amd64 Packages [129 kB]
Get:11 http://packages.linuxmint.com olivia/upstream amd64 Packages [9,249 B] 
Get:12 http://ppa.launchpad.net raring Release [9,722 B]                       
Get:13 http://archive.ubuntu.com raring-updates Release [40.8 kB]             
Hit http://archive.canonical.com raring/partner amd64 Packages                 
Get:14 http://packages.linuxmint.com olivia/import amd64 Packages [39.0 kB]   
Get:15 http://security.ubuntu.com raring-security/restricted amd64 Packages [14 B]
Hit http://archive.canonical.com raring/partner i386 Packages                 
Ign http://ppa.launchpad.net raring Release                                   
Get:16 http://packages.linuxmint.com olivia/main i386 Packages [23.5 kB]       
Hit http://archive.ubuntu.com raring/main amd64 Packages                       
Get:17 http://security.ubuntu.com raring-security/universe amd64 Packages [41.6 kB]
Get:18 http://ppa.launchpad.net raring Release [9,765 B]                       
Get:19 http://packages.linuxmint.com olivia/upstream i386 Packages [9,237 B]   
Hit http://archive.ubuntu.com raring/restricted amd64 Packages                 
Hit http://archive.ubuntu.com raring/universe amd64 Packages                   
Get:20 http://packages.linuxmint.com olivia/import i386 Packages [39.9 kB]     
Get:21 http://security.ubuntu.com raring-security/multiverse amd64 Packages [3,715 B]
Hit http://ppa.launchpad.net raring/main Sources                               
Hit http://archive.ubuntu.com raring/multiverse amd64 Packages                 
Get:22 http://security.ubuntu.com raring-security/main i386 Packages [129 kB] 
Hit http://archive.ubuntu.com raring/main i386 Packages                       
Hit http://ppa.launchpad.net raring/main amd64 Packages                       
Hit http://archive.ubuntu.com raring/restricted i386 Packages                 
Hit http://ppa.launchpad.net raring/main i386 Packages                         
Hit http://archive.ubuntu.com raring/universe i386 Packages                   
Get:23 http://security.ubuntu.com raring-security/restricted i386 Packages [14 B]
Hit http://archive.ubuntu.com raring/multiverse i386 Packages                 
Get:24 http://security.ubuntu.com raring-security/universe i386 Packages [42.3 kB]
Hit http://archive.ubuntu.com raring/main Translation-en                       
Get:25 http://security.ubuntu.com raring-security/multiverse i386 Packages [3,864 B]
Hit http://archive.ubuntu.com raring/multiverse Translation-en                 
Ign http://archive.canonical.com raring/partner Translation-en_US             
Hit http://security.ubuntu.com raring-security/main Translation-en             
Ign http://archive.canonical.com raring/partner Translation-en                 
Hit http://archive.ubuntu.com raring/restricted Translation-en                 
Hit http://security.ubuntu.com raring-security/multiverse Translation-en       
Hit http://archive.ubuntu.com raring/universe Translation-en                   
Hit http://security.ubuntu.com raring-security/restricted Translation-en       
Get:26 http://ppa.launchpad.net raring/main Sources [670 B]                   
Get:27 http://archive.ubuntu.com raring-updates/main amd64 Packages [202 kB]   
Get:28 http://ppa.launchpad.net raring/main amd64 Packages [789 B]             
Hit http://security.ubuntu.com raring-security/universe Translation-en         
Get:29 http://ppa.launchpad.net raring/main i386 Packages [789 B]             
Get:30 http://archive.ubuntu.com raring-updates/restricted amd64 Packages [14 B]
Get:31 http://archive.ubuntu.com raring-updates/universe amd64 Packages [158 kB]
Get:32 http://archive.ubuntu.com raring-updates/multiverse amd64 Packages [4,614 B]
Ign http://packages.linuxmint.com olivia/import Translation-en_US             
Get:33 http://archive.ubuntu.com raring-updates/main i386 Packages [200 kB]   
Ign http://packages.linuxmint.com olivia/import Translation-en                 
Ign http://packages.linuxmint.com olivia/main Translation-en_US               
Ign http://packages.linuxmint.com olivia/main Translation-en                   
Get:34 http://archive.ubuntu.com raring-updates/restricted i386 Packages [14 B]
Ign http://security.ubuntu.com raring-security/main Translation-en_US         
Get:35 http://archive.ubuntu.com raring-updates/universe i386 Packages [159 kB]
Ign http://packages.linuxmint.com olivia/upstream Translation-en_US           
Ign http://security.ubuntu.com raring-security/multiverse Translation-en_US   
Ign http://security.ubuntu.com raring-security/restricted Translation-en_US   
Ign http://packages.linuxmint.com olivia/upstream Translation-en               
Ign http://security.ubuntu.com raring-security/universe Translation-en_US     
Get:36 http://archive.ubuntu.com raring-updates/multiverse i386 Packages [4,808 B]
Get:37 http://archive.ubuntu.com raring-updates/main Translation-en [96.8 kB] 
Hit http://archive.ubuntu.com raring-updates/multiverse Translation-en         
Hit http://archive.ubuntu.com raring-updates/restricted Translation-en         
Get:38 http://archive.ubuntu.com raring-updates/universe Translation-en [80.5 kB]
Ign http://ppa.launchpad.net raring/main Translation-en_US                     
Ign http://ppa.launchpad.net raring/main Translation-en                       
Err http://ppa.launchpad.net raring/main Sources                               
  404  Not Found
Err http://ppa.launchpad.net raring/main amd64 Packages                       
  404  Not Found
Err http://ppa.launchpad.net raring/main i386 Packages                         
  404  Not Found
Ign http://ppa.launchpad.net raring/main Translation-en_US                     
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://archive.ubuntu.com raring/main Translation-en_US
Ign http://archive.ubuntu.com raring/multiverse Translation-en_US
Ign http://archive.ubuntu.com raring/restricted Translation-en_US
Ign http://archive.ubuntu.com raring/universe Translation-en_US
Ign http://archive.ubuntu.com raring-updates/main Translation-en_US
Ign http://archive.ubuntu.com raring-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com raring-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com raring-updates/universe Translation-en_US
Fetched 1,570 kB in 51s (30.6 kB/s)
W: Failed to fetch http://ppa.launchpad.net/openshot.developers/ppa/ubuntu/dists/raring/main/source/Sources  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/openshot.developers/ppa/ubuntu/dists/raring/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/openshot.developers/ppa/ubuntu/dists/raring/main/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

sudo apt-get install openshot openshot-doc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package openshot
E: Unable to locate package openshot-doc



(I realised i was getting errors but kept going on the off chance it would work and because i had no better ideas)

While I'm here, can I just ask what "it's in the repository" actually means - in searching i kept coming across people saying openshot is in the repository, which i assumed meant it would be in the software manager....until i found it wasnt. So now I don't know what "it's in the repository" actually means.

thanks for any help!
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Linux Mint is funded by ads and donations.
 

Re: can't install Openshot

Postby WharfRat on Wed Oct 30, 2013 8:11 pm

Did you check the results of your key add :?:

gpg: requesting key B9BA26FA from hkp server keyserver.ubuntu.com
gpg: keyserver timed out
gpg: keyserver receive failed: keyserver error
Image
User avatar
WharfRat
Level 12
Level 12
 
Posts: 4459
Joined: Thu Apr 07, 2011 8:15 pm

Re: can't install Openshot

Postby TheDynamicHamza21 on Wed Oct 30, 2013 8:14 pm

There is no repo for Openshot for Raring
http://ppa.launchpad.net/openshot.devel ... ntu/dists/

You will have to use quantal repo
https://launchpad.net/~jonoomph/+archive/openshot-edge
Linux Registered User: # 573034

www.domeshotsandfatlaces.com
User avatar
TheDynamicHamza21
Level 5
Level 5
 
Posts: 780
Joined: Thu Oct 04, 2012 7:24 pm
Location: California

Re: can't install Openshot

Postby tellymandeus on Wed Oct 30, 2013 8:36 pm

wharfrat - i realised that, i actually did this yesterday and managed to add the ppa, but still failed to install, i was trying to repeat my steps so as to be able to post the code, but obviously I got something different this time (note to self: don't close the terminal when I'm going to need to post in the forum)

TheDynamicHanza21 - thanks I'll try that!
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby tellymandeus on Wed Oct 30, 2013 9:14 pm

hmm, i tried both stable and bleeding edge and kept getting the same timed-out error, is this just a case of trying again later or is there something going wrong that waiting won't fix?
Code: Select all
sudo add-apt-repository ppa:jonoomph/openshot-edge
You are about to add the following PPA to your system:
 This PPA contains the most bleeding-edge version of OpenShot Video Editor.  Each time our source code reaches some level of stability, I will update this PPA.  This isn't the most stable version of OpenShot... just the newest most bleeding edge version.

If you are looking for the current stable version of OpenShot, please use:
https://launchpad.net/~openshot.developers/+archive/ppa


 More info: https://launchpad.net/~jonoomph/+archive/openshot-edge
Press [ENTER] to continue or ctrl-c to cancel adding it

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.kQTrxYrwar --trustdb-name /etc/apt//trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys EDFBD1F9
gpg: requesting key EDFBD1F9 from hkp server keyserver.ubuntu.com
gpg: keyserver timed out
gpg: keyserver receive failed: keyserver error
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby tellymandeus on Thu Oct 31, 2013 12:28 am

tried again, didnt get the time out error (good) but still didn't manage to install - got hung up at get-apt update:

Code: Select all
 sudo add-apt-repository ppa:jonoomph/openshot-edge
You are about to add the following PPA to your system:
 This PPA contains the most bleeding-edge version of OpenShot Video Editor.  Each time our source code reaches some level of stability, I will update this PPA.  This isn't the most stable version of OpenShot... just the newest most bleeding edge version.

If you are looking for the current stable version of OpenShot, please use:
https://launchpad.net/~openshot.developers/+archive/ppa


 More info: https://launchpad.net/~jonoomph/+archive/openshot-edge
Press [ENTER] to continue or ctrl-c to cancel adding it

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.v2UB2f3kZ7 --trustdb-name /etc/apt//trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys EDFBD1F9
gpg: requesting key EDFBD1F9 from hkp server keyserver.ubuntu.com
gpg: key EDFBD1F9: public key "Launchpad Bleeding-Edge OpenShot PPA" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
simon@simon-lesance ~ $ sudo apt-get update
Hit http://archive.ubuntu.com raring Release.gpg                               
Get:1 http://packages.linuxmint.com olivia Release.gpg [197 B]                 
Hit http://security.ubuntu.com raring-security Release.gpg                     
Hit http://archive.ubuntu.com raring-updates Release.gpg                       
Get:2 http://packages.linuxmint.com olivia Release [17.7 kB]                   
Hit http://archive.canonical.com raring Release.gpg                           
Ign http://ppa.launchpad.net raring Release.gpg                               
Hit http://security.ubuntu.com raring-security Release                         
Hit http://archive.ubuntu.com raring Release                                   
Hit http://archive.canonical.com raring Release                               
Hit http://ppa.launchpad.net raring Release.gpg                               
Hit http://security.ubuntu.com raring-security/main amd64 Packages             
Hit http://archive.ubuntu.com raring-updates Release                           
Ign http://ppa.launchpad.net raring Release.gpg                               
Hit http://archive.ubuntu.com raring/main amd64 Packages                       
Hit http://archive.canonical.com raring/partner amd64 Packages                 
Hit http://security.ubuntu.com raring-security/restricted amd64 Packages       
Hit http://archive.ubuntu.com raring/restricted amd64 Packages                 
Hit http://security.ubuntu.com raring-security/universe amd64 Packages         
Hit http://archive.canonical.com raring/partner i386 Packages                 
Hit http://ppa.launchpad.net raring Release.gpg                               
Hit http://archive.ubuntu.com raring/universe amd64 Packages                   
Hit http://security.ubuntu.com raring-security/multiverse amd64 Packages       
Ign http://ppa.launchpad.net raring Release                                   
Get:3 http://packages.linuxmint.com olivia/main amd64 Packages [23.5 kB]       
Hit http://archive.ubuntu.com raring/multiverse amd64 Packages                 
Hit http://ppa.launchpad.net raring Release                                   
Hit http://security.ubuntu.com raring-security/main i386 Packages             
Hit http://archive.ubuntu.com raring/main i386 Packages                       
Hit http://security.ubuntu.com raring-security/restricted i386 Packages       
Ign http://ppa.launchpad.net raring Release                                   
Hit http://archive.ubuntu.com raring/restricted i386 Packages                 
Hit http://security.ubuntu.com raring-security/universe i386 Packages         
Hit http://ppa.launchpad.net raring Release                                   
Hit http://archive.ubuntu.com raring/universe i386 Packages                   
Hit http://security.ubuntu.com raring-security/multiverse i386 Packages       
Hit http://archive.ubuntu.com raring/multiverse i386 Packages                 
Get:4 http://packages.linuxmint.com olivia/upstream amd64 Packages [9,249 B]   
Hit http://security.ubuntu.com raring-security/main Translation-en             
Hit http://archive.ubuntu.com raring/main Translation-en                       
Get:5 http://packages.linuxmint.com olivia/import amd64 Packages [39.0 kB]     
Hit http://archive.ubuntu.com raring/multiverse Translation-en                 
Hit http://security.ubuntu.com raring-security/multiverse Translation-en       
Ign http://archive.canonical.com raring/partner Translation-en_US             
Hit http://ppa.launchpad.net raring/main Sources                               
Ign http://archive.canonical.com raring/partner Translation-en                 
Hit http://archive.ubuntu.com raring/restricted Translation-en                 
Hit http://security.ubuntu.com raring-security/restricted Translation-en       
Hit http://ppa.launchpad.net raring/main amd64 Packages                       
Hit http://ppa.launchpad.net raring/main i386 Packages                         
Hit http://archive.ubuntu.com raring/universe Translation-en                   
Hit http://archive.ubuntu.com raring-updates/main amd64 Packages               
Get:6 http://packages.linuxmint.com olivia/main i386 Packages [23.5 kB]       
Hit http://archive.ubuntu.com raring-updates/restricted amd64 Packages         
Hit http://archive.ubuntu.com raring-updates/universe amd64 Packages           
Hit http://security.ubuntu.com raring-security/universe Translation-en         
Hit http://archive.ubuntu.com raring-updates/multiverse amd64 Packages         
Hit http://archive.ubuntu.com raring-updates/main i386 Packages               
Hit http://archive.ubuntu.com raring-updates/restricted i386 Packages         
Get:7 http://packages.linuxmint.com olivia/upstream i386 Packages [9,237 B]   
Get:8 http://packages.linuxmint.com olivia/import i386 Packages [39.9 kB]     
Hit http://archive.ubuntu.com raring-updates/universe i386 Packages           
Hit http://archive.ubuntu.com raring-updates/multiverse i386 Packages         
Hit http://archive.ubuntu.com raring-updates/main Translation-en               
Hit http://ppa.launchpad.net raring/main Sources                               
Hit http://archive.ubuntu.com raring-updates/multiverse Translation-en         
Hit http://ppa.launchpad.net raring/main amd64 Packages                       
Hit http://ppa.launchpad.net raring/main i386 Packages                         
Hit http://archive.ubuntu.com raring-updates/restricted Translation-en         
Hit http://archive.ubuntu.com raring-updates/universe Translation-en           
Ign http://security.ubuntu.com raring-security/main Translation-en_US         
Ign http://security.ubuntu.com raring-security/multiverse Translation-en_US   
Ign http://security.ubuntu.com raring-security/restricted Translation-en_US   
Ign http://security.ubuntu.com raring-security/universe Translation-en_US     
Ign http://packages.linuxmint.com olivia/import Translation-en_US             
Ign http://packages.linuxmint.com olivia/import Translation-en                 
Ign http://packages.linuxmint.com olivia/main Translation-en_US               
Ign http://packages.linuxmint.com olivia/main Translation-en                   
Ign http://packages.linuxmint.com olivia/upstream Translation-en_US           
Ign http://archive.ubuntu.com raring/main Translation-en_US           
Ign http://packages.linuxmint.com olivia/upstream Translation-en     
Ign http://archive.ubuntu.com raring/multiverse Translation-en_US     
Ign http://archive.ubuntu.com raring/restricted Translation-en_US
Ign http://archive.ubuntu.com raring/universe Translation-en_US
Ign http://archive.ubuntu.com raring-updates/main Translation-en_US
Ign http://archive.ubuntu.com raring-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com raring-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com raring-updates/universe Translation-en_US
Err http://ppa.launchpad.net raring/main Sources
  404  Not Found
Err http://ppa.launchpad.net raring/main amd64 Packages
  404  Not Found
Err http://ppa.launchpad.net raring/main i386 Packages
  404  Not Found
Ign http://ppa.launchpad.net raring/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en
Err http://ppa.launchpad.net raring/main Sources
  404  Not Found
Err http://ppa.launchpad.net raring/main amd64 Packages
  404  Not Found
Err http://ppa.launchpad.net raring/main i386 Packages
  404  Not Found
Ign http://ppa.launchpad.net raring/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en
Fetched 162 kB in 35s (4,528 B/s)
W: Failed to fetch http://ppa.launchpad.net/jonoomph/openshot-edge/ubuntu/dists/raring/main/source/Sources  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/jonoomph/openshot-edge/ubuntu/dists/raring/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/jonoomph/openshot-edge/ubuntu/dists/raring/main/binary-i386/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/openshot.developers/ppa/ubuntu/dists/raring/main/source/Sources  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/openshot.developers/ppa/ubuntu/dists/raring/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/openshot.developers/ppa/ubuntu/dists/raring/main/binary-i386/Packages  404  Not Found

E: Some index files


but it seems to be looking for raring even tho i went from the quantal link TheDynamicHaz21 posted

any help appreciated!
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby TheDynamicHamza21 on Thu Oct 31, 2013 4:38 am

I'm not sure why that happening but I found a.deb file for you.

https://launchpad.net/ubuntu/raring/+package/openshot

[32 bit/64 bit]
http://launchpadlibrarian.net/119078942 ... -1_all.deb
Linux Registered User: # 573034

www.domeshotsandfatlaces.com
User avatar
TheDynamicHamza21
Level 5
Level 5
 
Posts: 780
Joined: Thu Oct 04, 2012 7:24 pm
Location: California

Re: can't install Openshot

Postby tellymandeus on Thu Oct 31, 2013 7:23 pm

thanks! I'm going to try synaptic first and if that doesnt work I'll try the deb file.

much appreciated!
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby tellymandeus on Thu Oct 31, 2013 9:27 pm

ag!

downloaded the .deb file, doubleclick, package manager opens up with a red message saying "Error:dependancy is not satisfiable: python pygoocanvas"

any suggestions? or should I give up?

and really, is it often this difficult to install things or am I just gettingn unlucky here?

thanks!
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby TheDynamicHamza21 on Thu Oct 31, 2013 9:39 pm

tellymandeus wrote:ag!

downloaded the .deb file, doubleclick, package manager opens up with a red message saying "Error:dependancy is not satisfiable: python pygoocanvas"

any suggestions? or should I give up?

and really, is it often this difficult to install things or am I just gettingn unlucky here?

thanks!



It shouldn't be this hard. It may have do with some changes Mint made to the Ubuntu base. You can try the quantal package and if that doesn't work try to update the missing dependency or even try earlier version like precise.

https://launchpad.net/ubuntu/quantal/+package/openshot
https://launchpad.net/ubuntu/precise/+package/openshot
Linux Registered User: # 573034

www.domeshotsandfatlaces.com
User avatar
TheDynamicHamza21
Level 5
Level 5
 
Posts: 780
Joined: Thu Oct 04, 2012 7:24 pm
Location: California

Re: can't install Openshot

Postby tellymandeus on Thu Oct 31, 2013 10:05 pm

tried that, following your links i got the same missing dependance for quantal and for precise it was a different missing dependancy. how do i update those dependancies?
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby TheDynamicHamza21 on Fri Nov 01, 2013 1:17 am

You would use the package manager to see if the package name can updated or use the terminal by the installing the dependency. The package manager should have told you the version number of the package you needed to install.

Code: Select all
sudo apt-get install


For example
sudo apt-get install python pygoocanvas
Linux Registered User: # 573034

www.domeshotsandfatlaces.com
User avatar
TheDynamicHamza21
Level 5
Level 5
 
Posts: 780
Joined: Thu Oct 04, 2012 7:24 pm
Location: California

Re: can't install Openshot

Postby tellymandeus on Sat Nov 02, 2013 5:43 am

Code: Select all
sudo apt-get install python pygoocanvas
......
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package pygoocanvas


i think it might be time to admit defeat here, apparently mint 15 won't (easily) install openshot and I don't want to spend hours over this when it might come to nothing. Which is frustrating because I'd hoped to edit some video in linux, I guess I'll have to go back to windows for that....thanks for your help tho.
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Re: can't install Openshot

Postby TheDynamicHamza21 on Sat Nov 02, 2013 2:16 pm

it may not possible on Mint 15 but Mint is very short term version,only 9 months support. I have no problems installing any of this apps on Mint 13 LTS.

In addition you misunderstood my comment, when trying to install an app the terminal/synaptic should given an error such as dependency error missing package name 2.3 or you have package name 1.9 you need package name2.o and above to install. Once you know the package name and version you can then use sudo apt-get install to try install the missing/updated package. Sometimes it works,sometimes it doesn't. That's why I always use the LTS version of distro so I don't have deal with these problems.
Linux Registered User: # 573034

www.domeshotsandfatlaces.com
User avatar
TheDynamicHamza21
Level 5
Level 5
 
Posts: 780
Joined: Thu Oct 04, 2012 7:24 pm
Location: California

Re: can't install Openshot

Postby tellymandeus on Sun Nov 03, 2013 8:20 pm

hmmm, synaptic didn't give me a package number, only the name....

that's interesting what you said about Mint 13 LTS versions, if that's more reliable and liable to make life easier (I'm much reassured to hear you had no trouble installing these apps) then I may well re-install (when i get a day free to play with it). I hadn't realised that particular issue, thanks very much for sharing that perspective.

EDIT: found my mint 13 disk and I'd written myself a note saying it wouldn't work on this computer. Might try re-downloading and re-burning but mint 13 might not solve my problems after all
Me: a Linux novice running Mint 17 64-bit Mate on a UnitCom Lesance NB S2103/L Celeron 1007U @ 1.5GHz Memory 1.8GB
tellymandeus
Level 2
Level 2
 
Posts: 60
Joined: Tue Sep 10, 2013 2:31 am

Linux Mint is funded by ads and donations.
 

Return to Newbie Questions

Who is online

Users browsing this forum: Bing [Bot] and 28 guests